Skip to main content
Get Company Policies
curl --request GET \
  --url https://api.coralogix.com/mgmt/openapi/5/dataplans/policies/v1 \
  --header 'Authorization: <api-key>'
{
  "policies": [
    {
      "companyId": 1234,
      "deleted": false,
      "enabled": true,
      "id": "policy_id",
      "logRules": {
        "severities": [],
        "dpxlExpression": "<string>"
      },
      "name": "My Policy",
      "order": 1,
      "applicationRule": {
        "name": "<string>"
      },
      "archiveRetention": {
        "id": "<string>"
      },
      "createdAt": "2021-01-01T00:00:00.000Z",
      "description": "My Policy Description",
      "priorityOverride": {
        "quotaBased": {
          "usageTiers": [
            {
              "dailyQuotaPercentage": 80
            }
          ]
        }
      },
      "priorityOverrideStatus": {
        "quotaBased": {
          "currentUsage": 123,
          "dailyLimit": 123
        }
      },
      "subsystemRule": {
        "name": "<string>"
      },
      "targets": [
        {
          "archiveRetention": {
            "id": "<string>"
          },
          "dataset": "dataset1",
          "dataspace": "dataspace1",
          "priorityOverride": {
            "quotaBased": {
              "usageTiers": [
                {
                  "dailyQuotaPercentage": 80
                }
              ]
            }
          }
        }
      ],
      "updatedAt": "2021-01-01T00:00:00.000Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.coralogix.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication

Query Parameters

enabled_only
boolean

When true, return only policies that are currently enabled.

Example:

true

source_type
enum<string>

Filter policies by data source type (for example logs or spans). Source type.

Available options:
SOURCE_TYPE_UNSPECIFIED,
SOURCE_TYPE_LOGS,
SOURCE_TYPE_SPANS

Response

This data structue is obtained when retrieving all policies of a company.

policies
Policy · object[]
required

List of policies.

A policy is a set of rules that define the behavior of the Coralogix system for a specific company.